<?php
/**
 * Admin page settings
 */

 // Get current user roles
$current_user_role = $admin_core->getCurrentUserRoles();
//Get global settings
$global_settings = $admin_core->getOneclickGlobalSettings();
?>
<div class="wrap">
	<h1><?php echo __('oneClick', 'oneclick'); ?><span class="oneclick__description">(<?php echo __('Quick menu for frontend and backend', 'oneclick'); ?>)</span></h1>
	<ul class="oneclick__header tabs oneclick-tabs">
		<?php if((isset($global_settings['oneclick_access_frontend_' . $current_user_role]) && $global_settings['oneclick_access_frontend_' . $current_user_role]) || current_user_can('administrator')){ ?>
			<li class="tab col s3"><a href="#frontend_icons"><?php echo __('Frontend icons', 'oneclick'); ?></a></li>
		<?php } ?>
		<?php if((isset($global_settings['oneclick_access_admin_' . $current_user_role]) && $global_settings['oneclick_access_admin_' . $current_user_role]) || current_user_can('administrator')){ ?>
			<li class="tab col s3"><a href="#admin_icons"><?php echo __('Admin icons', 'oneclick'); ?></a></li>
		<?php } ?>
		<li class="tab col s3"><a href="#icon_settings"><?php echo __('Icon settings', 'oneclick'); ?></a></li>
		<?php if(current_user_can('administrator')){ ?>
			<li class="tab col s3"><a href="#global_settings"><?php echo __('Global settings', 'oneclick'); ?></a></li>
		<?php } ?>
	</ul>
	<div class="oneclick__panel">
		<div class="row">
			<?php
			// If have access to view frontend icon tab
			if((isset($global_settings['oneclick_access_frontend_' . $current_user_role]) && $global_settings['oneclick_access_frontend_' . $current_user_role]) || current_user_can('administrator')){
			?>
			<div id="frontend_icons" class="col s12 tab-panel">
				<table class="responsive-table oneclick__iconlist">
					<thead>
					<tr>
						<th><?php echo __('Label', 'oneclick'); ?></th>
						<th><?php echo __('Menu type', 'oneclick'); ?></th>
						<th><?php echo __('Menu', 'oneclick'); ?></th>
						<th><?php echo __('Icon', 'oneclick'); ?></th>
						<th><?php echo __('Status', 'oneclick'); ?></th>
						<th><?php echo __('Actions', 'oneclick'); ?></th>
					</tr>
					</thead>
					<tbody data-id="frontend">
						<?php
						// Get forntend icon list
						$icons = $admin_core->getOneclickIcons('frontend');
						if(is_array($icons)){
							foreach($icons as $icon){
							?>
							<tr data-label="<?php echo esc_html($icon['label']); ?>" data-menu_type="<?php echo esc_html($icon['menu_type']); ?>" data-menu_link="<?php echo esc_url($icon['menu_link']); ?>" data-icon="<?php echo esc_html($icon['icon']); ?>" data-color="<?php echo esc_html($icon['color']); ?>" data-status="<?php echo esc_html($icon['status']); ?>">
								<td><?php echo esc_html($icon['label']); ?></td>
								<td><?php echo ($icon['menu_type']==1?__('Admin menu', 'oneclick'):__('Custom link', 'oneclick')); ?></td>
								<td><?php echo $icon['menu_link']; ?></td>
								<td><a class="btn-floating waves-effect waves-light <?php echo esc_html($icon['color']); ?>"><i class="material-icons"><?php echo esc_html($icon['icon']); ?></i></a></td>
								<td>
									<div class="switch">
										<label>
											<input type="checkbox" data-id="frontend" class="status-input" <?php echo ($icon['status']?'checked="checked"':''); ?> value="<?php echo esc_html($icon['status']); ?>">
											<span class="lever"></span>
										</label>
									</div>
								</td>
								<td>
									<button class="btn-floating btn-small grey move-row"><i class="material-icons">swap_vert</i></button>
									<button class="btn-floating btn-small red darken-1 remove-row" data-id="frontend"><i class="material-icons">delete</i></button>
								</td>
							</tr>
							<?php } ?>
						<?php } else { ?>
							<tr class="oneclick__noicon frontend">
								<td colspan="6"><?php echo __("No icon", "oneclick"); ?></td>
							</tr>
						<?php } ?>
					</tbody>
				</table>
				<div class="oneclick__new-icon">
					<div class="row">
						<div class="col s12">
							<h6 class="teal-text oneclick__subtitle"><?php echo __('New icon', 'oneclick'); ?></h6>
							<hr>
						</div>
					</div>
					<div class="row">
						<div class="input-field col s6">
							<input value="" id="new_icon_label" type="text" class="validate new_frontend_icon_label">
							<label for="new_icon_label"><?php echo __('Label', 'oneclick'); ?></label>
							<span class="helper-text" data-error="<?php echo __('This field is required', 'oneclick'); ?>" data-success=""></span>
						</div>
						<div class="input-field col s6">
							<select id="new_icon_menu_type" class="new_frontend_icon_menu_type" data-name-1="<?php echo __('Admin menu', 'oneclick'); ?>" data-name-2="<?php echo __('Custom link', 'oneclick'); ?>">
								<option value="1"><?php echo __('Admin menu', 'oneclick'); ?></option>
								<option value="2"><?php echo __('Custom link', 'oneclick'); ?></option>
							</select>
							<label for="new_icon_menu_type"><?php echo __('Menu type', 'oneclick'); ?></label>
						</div>
					</div>
					<div class="row">
						<div class="input-field col s6">
						<select id="new_icon_menu_link" type="text" class="validate new_frontend_icon_menu_link">
							<?php foreach($GLOBALS['menu'] as $menu){ ?>
								<?php if($menu[0] != ''){ ?>
									<?php $menu_label = $menu[0]; ?>
									<option value="<?php echo $admin_core->getAdminMenuItemUrl($menu[2],false); ?>"><?php echo $menu_label; ?></option>
									<?php if(is_array($GLOBALS['submenu'][$menu[2]])){ ?>
										<?php foreach($GLOBALS['submenu'][$menu[2]] as $subindex => $submenu){ ?>
											<option value="<?php echo $admin_core->getAdminMenuItemUrl($submenu[2],true); ?>"><?php echo $menu_label; ?> - <?php echo $submenu[0]; ?></option>
										<?php } ?>
									<?php } ?>
								<?php } ?>
							<?php } ?>
						</select>
						<label for="new_icon_menu_link"><?php echo __('Menu link', 'oneclick'); ?></label>
						</div>
						<div class="input-field col s6">
							<input id="new_icon_custom_link" type="text" class="validate new_frontend_icon_custom_link">
							<label for="new_icon_custom_link"><?php echo __('Custom link', 'oneclick'); ?></label>
							<span class="helper-text" data-error="<?php echo __('This field is required', 'oneclick'); ?>" data-success=""></span>
						</div>
						<div class="col s6 oneclick__icon">
							<button class="waves-effect waves-light btn modal-trigger grey icon-list-button" data-id="frontend" href="#icon_list" style="margin-right: 8px;"><?php echo __('Select icon', 'oneclick'); ?></button>
							<button class="waves-effect waves-light btn modal-trigger grey color-list-button" data-id="frontend" href="#color_list"><?php echo __('Select icon background', 'oneclick'); ?></button>
						</div>
						<div class="col s6 oneclick__icon">
						<?php echo __('Icon preview', 'oneclick'); ?> <span class="oneclick__selected-icon new_frontend_icon_icon frontend"></span>
						</div>
					</div>
					<div class="row">
						<div class="col s12 center-align">
							<button class="btn waves-effect waves-light oneclick__add-icon" data-id="frontend" ><?php echo __('Add icon', 'oneclick'); ?></button>
						</div>
					</div>
				</div>
			</div>
			<?php } ?>
			<?php
			// If have access to view admin icon tab
			if((isset($global_settings['oneclick_access_admin_' . $current_user_role]) && $global_settings['oneclick_access_admin_' . $current_user_role]) || current_user_can('administrator')){
			?>
			<div id="admin_icons" class="col s12 tab-panel">
				<table class="responsive-table oneclick__iconlist">
					<thead>
					<tr>
						<th><?php echo __('Label', 'oneclick'); ?></th>
						<th><?php echo __('Menu type', 'oneclick'); ?></th>
						<th><?php echo __('Menu', 'oneclick'); ?></th>
						<th><?php echo __('Icon', 'oneclick'); ?></th>
						<th><?php echo __('Status', 'oneclick'); ?></th>
						<th><?php echo __('Actions', 'oneclick'); ?></th>
					</tr>
					</thead>
					<tbody data-id="admin">
						<?php
						// Get admin icon list
						$icons = $admin_core->getOneclickIcons('admin');
						if(is_array($icons)){
							foreach($icons as $icon){
							?>
							<tr data-label="<?php echo esc_html($icon['label']); ?>" data-menu_type="<?php echo esc_html($icon['menu_type']); ?>" data-menu_link="<?php echo esc_url($icon['menu_link']); ?>" data-icon="<?php echo esc_html($icon['icon']); ?>" data-color="<?php echo esc_html($icon['color']); ?>" data-status="<?php echo esc_html($icon['status']); ?>">
								<td><?php echo esc_html($icon['label']); ?></td>
								<td><?php echo ($icon['menu_type']==1?__('Admin menu', 'oneclick'):__('Custom link', 'oneclick')); ?></td>
								<td><?php echo esc_html($icon['menu_link']); ?></td>
								<td><a class="btn-floating waves-effect waves-light <?php echo esc_html($icon['color']); ?>"><i class="material-icons"><?php echo esc_html($icon['icon']); ?></i></a></td>
								<td>
									<div class="switch">
										<label>
											<input type="checkbox" data-id="admin" class="status-input" <?php echo ($icon['status']?'checked="checked"':''); ?> value="<?php echo esc_html($icon['status']); ?>">
											<span class="lever"></span>
										</label>
									</div>
								</td>
								<td>
									<button class="btn-floating btn-small grey move-row"><i class="material-icons">swap_vert</i></button>
									<button class="btn-floating btn-small red darken-1 remove-row" data-id="admin"><i class="material-icons">delete</i></button>
								</td>
							</tr>
							<?php } ?>
						<?php } else { ?>
							<tr class="oneclick__noicon admin">
								<td colspan="6"><?php echo __("No icon", "oneclick"); ?></td>
							</tr>
						<?php } ?>
					</tbody>
				</table>
				<div class="oneclick__new-icon">
					<div class="row">
						<div class="col s12">
							<h6 class="teal-text oneclick__subtitle"><?php echo __('New icon', 'oneclick'); ?></h6>
							<hr>
						</div>
					</div>
					<div class="row">
						<div class="input-field col s6">
							<input value="" id="new_icon_label" type="text" class="validate new_admin_icon_label">
							<label for="new_icon_label"><?php echo __('Label', 'oneclick'); ?></label>
							<span class="helper-text" data-error="<?php echo __('This field is required', 'oneclick'); ?>" data-success=""></span>
						</div>
						<div class="input-field col s6">
							<select id="new_icon_menu_type" class="new_admin_icon_menu_type" data-name-1="<?php echo __('Admin menu', 'oneclick'); ?>" data-name-2="<?php echo __('Custom link', 'oneclick'); ?>">
								<option value="1"><?php echo __('Admin menu', 'oneclick'); ?></option>
								<option value="2"><?php echo __('Custom link', 'oneclick'); ?></option>
							</select>
							<label for="new_icon_menu_type"><?php echo __('Menu type', 'oneclick'); ?></label>
						</div>
					</div>
					<div class="row">
						<div class="input-field col s6">
						<select id="new_icon_menu_link" type="text" class="validate new_admin_icon_menu_link">
							<?php foreach($GLOBALS['menu'] as $menu){ ?>
								<?php if($menu[0] != ''){ ?>
									<?php $menu_label = $menu[0]; ?>
									<option value="<?php echo $admin_core->getAdminMenuItemUrl($menu[2],false); ?>"><?php echo $menu_label; ?></option>
									<?php if(is_array($GLOBALS['submenu'][$menu[2]])){ ?>
										<?php foreach($GLOBALS['submenu'][$menu[2]] as $subindex => $submenu){ ?>
											<option value="<?php echo $admin_core->getAdminMenuItemUrl($submenu[2],true); ?>"><?php echo $menu_label; ?> - <?php echo $submenu[0]; ?></option>
										<?php } ?>
									<?php } ?>
								<?php } ?>
							<?php } ?>
						</select>
						<label for="new_icon_menu_link"><?php echo __('Menu link', 'oneclick'); ?></label>
						</div>
						<div class="input-field col s6">
							<input id="new_icon_custom_link" type="text" class="validate new_admin_icon_custom_link">
							<label for="new_icon_custom_link"><?php echo __('Custom link', 'oneclick'); ?></label>
							<span class="helper-text" data-error="<?php echo __('This field is required', 'oneclick'); ?>" data-success=""></span>
						</div>
						<div class="col s6 oneclick__icon">
							<button class="waves-effect waves-light btn modal-trigger grey icon-list-button" data-id="admin" href="#icon_list" style="margin-right: 8px;"><?php echo __('Select icon', 'oneclick'); ?></button>
							<button class="waves-effect waves-light btn modal-trigger grey color-list-button" data-id="admin" href="#color_list"><?php echo __('Select icon background', 'oneclick'); ?></button>
						</div>
						<div class="col s6 oneclick__icon">
						<?php echo __('Icon preview', 'oneclick'); ?> <span class="oneclick__selected-icon new_admin_icon_icon admin"></span>
						</div>
					</div>
					<div class="row">
						<div class="col s12 center-align">
							<button class="btn waves-effect waves-light oneclick__add-icon" data-id="admin" ><?php echo __('Add icon', 'oneclick'); ?></button>
						</div>
					</div>
				</div>
			</div>
			<?php } ?>
			<div id="icon_settings" class="col s12 tab-panel">
				<?php
				// Get icon settings
				$icon_settings = $admin_core->getOneclickIconSettings();
				?>
				<div class="oneclick__title"><i class="material-icons">remove_red_eye</i><?php echo __('Display', 'oneclick'); ?></div>
				<table class="striped oneclick__settings-table">
					<tr>
						<td class="label">
							<?php echo __('Admin oneClick menu', 'oneclick'); ?>
						</td>
						<td>
							<div class="switch">
								<label>
									<input type="checkbox" name="oneclick_setting_admin_view" <?php echo (esc_html($icon_settings['oneclick_setting_admin_view'])?'checked="checked"':''); ?>>
									<span class="lever"></span>
								</label>
							</div>
						</td>
					</tr>
					<tr>
						<td class="label">
							<?php echo __('Frontend oneClick menu', 'oneclick'); ?>
						</td>
						<td>
							<div class="switch">
								<label>
									<input type="checkbox" name="oneclick_setting_frontend_view" <?php echo (esc_html($icon_settings['oneclick_setting_frontend_view'])?'checked="checked"':''); ?>>
									<span class="lever"></span>
								</label>
							</div>
						</td>
					</tr>
					<tr>
						<td class="label">
							<?php echo __('View tooltip', 'oneclick'); ?>
						</td>
						<td>
							<div class="switch">
								<label>
									<input type="checkbox" name="oneclick_setting_tooltip_view" <?php echo (esc_html($icon_settings['oneclick_setting_tooltip_view'])?'checked="checked"':''); ?>>
									<span class="lever"></span>
								</label>
							</div>
						</td>
					</tr>
					<tr>
						<td class="label">
							<?php echo __('Enable toolbar', 'oneclick'); ?>
						</td>
						<td>
							<div class="switch">
								<label>
									<input type="checkbox" name="oneclick_setting_toolbar" <?php echo (esc_html($icon_settings['oneclick_setting_toolbar'])?'checked="checked"':''); ?>>
									<span class="lever"></span>
								</label>
							</div>
						</td>
					</tr>
					<tr>
						<td class="label">
							<?php echo __('Admin bar on frontend', 'oneclick'); ?>
						</td>
						<td>
							<div class="switch">
								<label>
									<input type="checkbox" name="oneclick_setting_admin_bar" <?php echo (esc_html($icon_settings['oneclick_setting_admin_bar'])?'checked="checked"':''); ?>>
									<span class="lever"></span>
								</label>
							</div>
						</td>
					</tr>
				</table>
				<div class="oneclick__title"><i class="material-icons">settings</i><?php echo __('Behavior', 'oneclick'); ?></div>
				<table class="striped oneclick__settings-table">
					<tr>
						<td class="label">
							<?php echo __('Open submenu on click', 'oneclick'); ?>
						</td>
						<td>
							<div class="switch">
								<label>
									<input type="checkbox" name="oneclick_setting_submenu_on_click" <?php echo (esc_html($icon_settings['oneclick_setting_submenu_on_click'])?'checked="checked"':''); ?>>
									<span class="lever"></span>
								</label>
							</div>
						</td>
					</tr>
					<tr>
						<td class="label">
							<?php echo __('Current post/page hit display', 'oneclick'); ?>
						</td>
						<td>
							<div class="switch">
								<label>
									<input type="checkbox" name="oneclick_setting_hit_display" <?php echo (esc_html($icon_settings['oneclick_setting_hit_display'])?'checked="checked"':''); ?>>
									<span class="lever"></span>
								</label>
							</div>
						</td>
					</tr>
					<tr>
						<td class="label">
							<?php echo __('Enable statistics in tooltip', 'oneclick'); ?>
						</td>
						<td>
							<div class="switch">
								<label>
									<input type="checkbox" name="oneclick_setting_statistics" <?php echo (esc_html($icon_settings['oneclick_setting_statistics'])?'checked="checked"':''); ?>>
									<span class="lever"></span>
								</label>
							</div>
						</td>
					</tr>
					<tr>
						<td class="label">
							<?php echo __('Current post/page edit button', 'oneclick'); ?>
						</td>
						<td>
							<div class="switch">
								<label>
									<input type="checkbox" name="oneclick_setting_edit_button" <?php echo (esc_html($icon_settings['oneclick_setting_edit_button'])?'checked="checked"':''); ?>>
									<span class="lever"></span>
								</label>
							</div>
						</td>
					</tr>
					<tr>
						<td class="label">
							<?php echo __('Enable vertical menu', 'oneclick'); ?>
						</td>
						<td>
							<div class="switch">
								<label>
									<input type="checkbox" name="oneclick_setting_vertical_menu" <?php echo (esc_html($icon_settings['oneclick_setting_vertical_menu'])?'checked="checked"':''); ?>>
									<span class="lever"></span>
								</label>
							</div>
						</td>
					</tr>
				</table>
				<div class="oneclick__title"><i class="material-icons">blur_circular</i><?php echo __('Main icon settings', 'oneclick'); ?></div>
				<div class="row">
					<div class="col s6 center-align">
						<button class="btn-large btn-floating modal-trigger oneclick__main-icon admin <?php echo (esc_html($icon_settings['oneclick_admin_main_icon']['color'])?esc_html($icon_settings['oneclick_admin_main_icon']['color']):''); ?>" data-id="admin" data-icon="<?php echo (esc_html($icon_settings['oneclick_admin_main_icon']['icon'])?esc_html($icon_settings['oneclick_admin_main_icon']['icon']):'home'); ?>" data-color="<?php echo (esc_html($icon_settings['oneclick_admin_main_icon']['color'])?esc_html($icon_settings['oneclick_admin_main_icon']['color']):'teal base'); ?>" href="#icon_settings_modal"><i class="material-icons"><?php echo (esc_html($icon_settings['oneclick_admin_main_icon']['icon'])?esc_html($icon_settings['oneclick_admin_main_icon']['icon']):'home'); ?></i></button>
						<div class="oneclick__main-icon__label"><?php echo __('Admin icon', 'oneclick'); ?></div>
					</div>
					<div class="col s6 center-align">
						<button class="btn-large btn-floating modal-trigger oneclick__main-icon frontend <?php echo (esc_html($icon_settings['oneclick_frontend_main_icon']['color'])?esc_html($icon_settings['oneclick_frontend_main_icon']['color']):''); ?>" data-id="frontend" data-icon="<?php echo (esc_html($icon_settings['oneclick_frontend_main_icon']['icon'])?esc_html($icon_settings['oneclick_frontend_main_icon']['icon']):'dashboard'); ?>" data-color="<?php echo (esc_html($icon_settings['oneclick_frontend_main_icon']['color'])?esc_html($icon_settings['oneclick_frontend_main_icon']['color']):'teal base'); ?>" href="#icon_settings_modal"><i class="material-icons"><?php echo (esc_html($icon_settings['oneclick_frontend_main_icon']['icon'])?esc_html($icon_settings['oneclick_frontend_main_icon']['icon']):'dashboard'); ?></i></button>
						<div class="oneclick__main-icon__label"><?php echo __('Frontend icon', 'oneclick'); ?></div>
					</div>
				</div>
				<div class="row">
					<div class="col s12 center-align">
						<button class="btn waves-effect waves-light save-icon-settings"><?php echo __('Save', 'oneclick'); ?></button>
					</div>
				</div>
			</div>
			<?php
			// Only administrators can view global settings tab
			if(current_user_can('administrator')){
			?>
				<div id="global_settings" class="col s12 tab-panel">
					<div class="row">
						<div class="col s8">
							<div class="oneclick__title"><i class="material-icons">verified_user</i><?php echo __('Roles', 'oneclick'); ?></div>
							<table>
								<thead>
									<tr>
										<th><?php echo ""; ?></th>
										<th class="align-center"><?php echo __('Admin', 'oneclick'); ?></th>
										<th class="align-center"><?php echo __('Frontend', 'oneclick'); ?></th>
									</tr>
								</thead>
								<tbody>
									<?php 
										foreach($admin_core->getUserRoles() as $key => $role){ 
											if($key != 'administrator'){
									?>
										<tr>
											<td><?php echo $role['name']; ?></td>
											<td class="align-center">
												<label>
													<input type="checkbox" class="filled-in" name="oneclick_access_admin_<?php echo $key; ?>" <?php echo (isset($global_settings['oneclick_access_admin_' . $key])?(esc_html($global_settings['oneclick_access_admin_' . $key])?'checked="checked"':''):''); ?> />
													<span></span>
												</label>
											</td>
											<td class="align-center">
												<label>
													<input type="checkbox" class="filled-in" name="oneclick_access_frontend_<?php echo $key; ?>" <?php echo (isset($global_settings['oneclick_access_frontend_' . $key])?(esc_html($global_settings['oneclick_access_frontend_' . $key])?'checked="checked"':''):''); ?> />
													<span></span>
												</label>
											</td>
										</tr>
									<?php
											}
										} 
									?>
								</tbody>
							</table>
						</div>
						<div class="col s4">
							<div class="oneclick__title"><i class="material-icons">bug_report</i><?php echo __('Donate', 'oneclick'); ?></div>
							<p><?php echo __('If you like the plugin, help me develop it, add new features and improve support! .', 'oneclick'); ?></p>
							<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top" class="center-align">
							<input type="hidden" name="cmd" value="_donations" />
							<input type="hidden" name="business" value="WHWREAV94SXEA" />
							<input type="hidden" name="item_name" value="If you like the plugin, help me develop it, add new features and improve support!" />
							<input type="hidden" name="currency_code" value="USD" />
							<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" title="PayPal - The safer, easier way to pay online!" alt="Donate with PayPal button" />
							<img alt="" border="0" src="https://www.paypal.com/en_HU/i/scr/pixel.gif" width="1" height="1" />
							</form>
						</div>
					</div>
					<div class="row">
						<div class="col s12 center-align">
							<button class="btn waves-effect waves-light save-global-settings"><?php echo __('Save', 'oneclick'); ?></button>
						</div>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>

<!-- Icon list modal -->
<div id="icon_list" class="modal">
	<div class="modal-content">
		<h4><?php echo __('Icon list', 'oneclick'); ?></h4>
		<div class="oneclick__icon-list">
			<?php foreach($admin_core->getIcons() as $icon){ ?>
				<div class="oneclick__icon-list__icon" data-value="<?php echo $icon; ?>">
					<i class="material-icons"><?php echo $icon; ?></i>
				</div>
			<?php } ?>
		</div>
	</div>
</div>

<!-- Color list modal -->
<div id="color_list" class="modal">
	<div class="modal-content">
		<h4><?php echo __('Color list', 'oneclick'); ?></h4>
		<div class="oneclick__color-list">
			<?php foreach($admin_core->getColors() as $key => $color_group){ ?>
				<?php foreach($color_group as $sub_key => $color){ ?>
					<div class="oneclick__color-list__color" data-value="<?php echo $key . ' ' . $sub_key; ?>" data-color="<?php echo $color; ?>" style="background-color:<?php echo $color; ?>;"></div>
				<?php } ?>
			<?php } ?>
		</div>
	</div>
</div>

<!-- Icon and color list modal to icon settings -->
<div id="icon_settings_modal" class="modal modal-fixed-footer">
	<div class="modal-content">
		<h4><?php echo __('Icon settings', 'oneclick'); ?></h4>
		<div class="row">
			<div class="col s12">
				<ul class="tabs icon-settings-tabs">
					<li class="tab col s6"><a href="#icon_settings_left"><?php echo __('Icon', 'oneclick'); ?></a></li>
					<li class="tab col s6"><a href="#icon_settings_right"><?php echo __('Color', 'oneclick'); ?></a></li>
				</ul>
				<div id="icon_settings_left" class="oneclick__list">
					<div class="oneclick__icon-list">
						<?php foreach($admin_core->getIcons() as $icon){ ?>
							<div class="oneclick__icon-settings__icon" data-value="<?php echo $icon; ?>">
								<i class="material-icons"><?php echo $icon; ?></i>
							</div>
						<?php } ?>
					</div>
				</div>
				<div id="icon_settings_right" class="oneclick__list">
					<div class="oneclick__color-list">
						<?php foreach($admin_core->getColors() as $key => $color_group){ ?>
							<?php foreach($color_group as $sub_key => $color){ ?>
								<div class="oneclick__icon-settings__color" data-value="<?php echo $key . ' ' . $sub_key; ?>" data-color="<?php echo $color; ?>" style="background-color:<?php echo $color; ?>;"></div>
							<?php } ?>
						<?php } ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="modal-footer">
		<a href="#!" class="waves-effect waves-light btn oneclick-set-main-icon"><?php echo __('Set', 'oneclick'); ?></a>
	</div>
</div>