<?php
/**
 * If have access, load frontend oneclick menu
 */
if($core->haveAccess()){
	// Get icon settings
	$settings = $core->getOneclickIconSettings();

	// If enable frontend display, generate menu
	if(esc_html($settings['oneclick_setting_frontend_view'])){
		// Get admin icon list
		$icons = $core->getOneclickIcons();
		// Get current post id
		$post_id = get_the_ID();
?>
<div class="oneclick-menu fixed-action-btn <?php echo (esc_html($settings['oneclick_setting_toolbar'])?'toolbar':''); ?> direction-top">
	<a <?php echo (esc_html($settings['oneclick_setting_submenu_on_click'])?'':(esc_html($settings['oneclick_setting_toolbar'])?'':'href="' . get_admin_url() . '"')); ?> class="btn-floating btn-large waves-effect waves-light <?php echo (isset($settings['oneclick_frontend_main_icon']['color'])?esc_html($settings['oneclick_frontend_main_icon']['color']):'teal'); ?> ">
		<?php if(esc_html($settings['oneclick_setting_hit_display'])){ ?>
			<span class="oneclick__hit"><?php echo $core->getOneclickPostHit($post_id); ?></span>
		<?php } else { ?>
			<i class="large material-icons"><?php echo (isset($settings['oneclick_frontend_main_icon']['icon'])?esc_html($settings['oneclick_frontend_main_icon']['icon']):'dashboard'); ?></i>
		<?php } ?>
	</a>
	<ul>
	<?php
	if(is_array($icons)){
		foreach($icons as $icon){
		// If icon status enabled, generate icon
		if($icon['status']){ ?>
			  <?php
				$tooltip = esc_html($icon['label']);
				// If enable tooltip statistics, generate data's to tooltip
				if(esc_html($icon['menu_type']) == 1 && esc_html($settings['oneclick_setting_statistics'])){
					switch($icon['menu_link']){
						case "index.php":
							global $wp_version;
							$tooltip .= " | " . __("WP Version", "oneclick") . ": " . $wp_version;
							break;
						case "update-core.php":
							$data = wp_get_update_data();
							if($data['title'] == ""){
								$data['title'] = 0;
							}
							$tooltip .= " | " . __("Update", "oneclick") . ": " . $data['title'];
							break;
						case "edit.php":
							$tooltip.= " (" . wp_count_posts()->publish . ")";
							break;
						case "edit-tags.php?taxonomy=category":
							$args = array(
								'hide_empty' => 0
								);
							$categories = get_categories( $args );
							$tooltip.= " (" .count( $categories ) . ")";
							break;
						case "edit.php?post_type=page":
							$tooltip.= " (" . wp_count_posts('page')->publish . ")";
							break;
						case "plugins.php":
							require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
							$tooltip.= " (" . count(get_plugins()) . ")";
							break;
						case "edit.php?post_type=shop_order":
							$attr = 'wc-pending'; 
							$tooltip.= " | " . __("Pending", "oneclick") . ": " . wp_count_posts( 'shop_order' )->$attr;
							$attr = 'wc-processing';
							$tooltip.= " | " . __("Processing", "oneclick") . ": " . wp_count_posts( 'shop_order' )->$attr;
						break;
						case "edit.php?post_type=product":
							$args = array( 'post_type' => 'product', 'post_status' => 'publish', 'posts_per_page' => -1 );
							$products = new WP_Query( $args );
							$tooltip.= " (" . $products->found_posts . ")";
							$args = array( 'post_type' => 'product', 'meta_key' => '_stock_status', 'meta_value' => 'outofstock', 'post_status' => 'publish', 'posts_per_page' => -1 );
							$products = new WP_Query( $args );
							if($products->found_posts > 0){
								$tooltip.= " | " . __("Out of stock", "oneclick") . ": " . $products->found_posts;
							}
							break;
						case "edit-tags.php?taxonomy=product_cat&post_type=product":
							$args = array(
								'hide_empty' => 0
								);
							$categories = get_terms( 'product_cat', $args );
							$tooltip.= " (" . count($categories) . ")";
							break;
						case "edit.php?post_type=shop_coupon":
							$args = array(
								'posts_per_page'   => -1,
								'post_type'        => 'shop_coupon',
								'post_status'      => 'publish',
							);
								
							$coupons = get_posts( $args );
							$tooltip.= " (" . count($coupons) . ")";
							break;
						case "users.php":
							$tooltip.= " (" . count(get_users()) . ")";
							break;
					}
				}
				?>
				<li><a href="<?php echo (esc_html($icon['menu_type'])==1?get_admin_url():''); ?><?php echo esc_url($icon['menu_link']); ?>" class="btn-floating waves-effect waves-light <?php echo (esc_html($settings['oneclick_setting_toolbar'])?'':esc_html($icon['color'])); ?> <?php echo (esc_html($settings['oneclick_setting_tooltip_view'])?'tooltipped':''); ?>" data-position="<?php echo (esc_html($settings['oneclick_setting_vertical_menu'])?'top':(esc_html($settings['oneclick_setting_toolbar'])?'top':'left')); ?>" data-tooltip="<?php echo $tooltip; ?>"><i class="material-icons"><?php echo $icon['icon']; ?></i></a></li>
				<?php 
				}
			}
		} 
		?>
	  <?php if(esc_html($settings['oneclick_setting_edit_button'])){ ?>
		<li><a href="<?php echo get_admin_url(); ?>post.php?post=<?php echo $post_id; ?>&action=edit" class="btn-floating waves-effect waves-light <?php echo (esc_html($settings['oneclick_setting_toolbar'])?'':'blue'); ?> <?php echo (esc_html($settings['oneclick_setting_tooltip_view'])?'tooltipped':''); ?>" data-position="<?php echo (esc_html($settings['oneclick_setting_vertical_menu'])?'top':(esc_html($settings['oneclick_setting_toolbar'])?'top':'left')); ?>" data-tooltip="<?php echo __('Edit', 'oneclick'); ?>"><i class="material-icons">create</i></a></li>
	  <?php } ?>
	</ul>
  </div>
  <script>
  jQuery(function($){
	  $('.oneclick-menu').floatingActionButton({
		  'direction' : '<?php echo (esc_html($settings['oneclick_setting_vertical_menu'])?(esc_html($settings['oneclick_setting_toolbar'])?'top':'left'):'top'); ?>',
		  'hoverEnabled' : <?php echo (esc_html($settings['oneclick_setting_submenu_on_click'])?'false':'true'); ?>,
		  'toolbarEnabled' : <?php echo (esc_html($settings['oneclick_setting_toolbar'])?'true':'false'); ?>
	  });

	  $('.tooltipped').tooltip();
  });
  </script>
<?php } ?>
<?php } ?>